Index: TibisayMovil/src/ve/gob/cenditel/tibisaymovil/ImageMenuAdapter.java
===================================================================
--- TibisayMovil/src/ve/gob/cenditel/tibisaymovil/ImageMenuAdapter.java	(revision 58c7f6aadab4f853597c07d2ce1054e57b68b8bd)
+++ TibisayMovil/src/ve/gob/cenditel/tibisaymovil/ImageMenuAdapter.java	(revision 58c7f6aadab4f853597c07d2ce1054e57b68b8bd)
@@ -0,0 +1,147 @@
+/*
+Tibisay Movil
+
+Copyright (C) 2013 Antonio Araujo (aaraujo@cenditel.gob.ve), Jose Ruiz 
+(jruiz@cenditel.gob.ve), Fundacion Centro Nacional de Desarrollo e 
+Investigacion en Tecnologias Libres - CENDITEL.
+
+La Fundación CENDITEL concede permiso para usar, copiar, distribuir y/o 
+modificar este programa, reconociendo el derecho que la humanidad posee al
+libre acceso al conocimiento, bajo los términos de la licencia de software 
+GPL versión 2.0 de la Free Software Foundation.
+
+Este programa se distribuye con la esperanza de que sea util, pero SIN
+NINGUNA GARANTIA; tampoco las implicitas garantias de MERCANTILIDAD o
+ADECUACION A UN PROPOSITO PARTICULAR.
+
+Para mayor información sobre los términos de la licencia ver el archivo 
+llamado "gpl-2.0.txt" en ingles.
+*/
+
+package ve.gob.cenditel.tibisaymovil;
+
+import android.content.Context;
+import android.util.Log;
+import android.view.LayoutInflater;
+import android.view.View;
+import android.view.ViewGroup;
+import android.widget.ArrayAdapter;
+import android.widget.GridView;
+import android.widget.ImageView;
+import android.widget.TextView;
+
+/**
+ * Adaptador para mostrar la grid de funciones disponibles al inicio
+ * de la aplicación.
+ * 
+ */
+public class ImageMenuAdapter extends ArrayAdapter<String> {
+    private Context mContext;
+    
+    private final String[] values;
+    
+    public ImageMenuAdapter(Context context, String[] values) {
+		super(context, R.layout.grid_menu_item, values);
+		this.mContext = context;
+		this.values = values;
+	}
+
+
+
+    public int getCount() {
+        return mThumbIds.length;
+    }
+
+    public String getItem(int position) {
+        return null;
+    }
+
+    public long getItemId(int position) {
+        return 0;
+    }
+
+    
+ // create a new ImageView for each item referenced by the Adapter
+    public View getView(int position, View convertView, ViewGroup parent) {
+        //ImageView imageView;
+        
+        LayoutInflater inflater = (LayoutInflater) mContext
+    			.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
+        
+        String s = values[position];
+        
+        View gridView;
+        
+        
+        if (convertView == null) {  // if it's not recycled, initialize some attributes
+        	
+        	gridView = new View(mContext);
+        	
+        	// get layout from mobile.xml
+        	gridView = inflater.inflate(R.layout.grid_menu_item, null);
+        	
+        	// set value into textview
+        	TextView textView = (TextView) gridView.findViewById(R.id.textGridMainMenu);
+        	textView.setText(values[position]);
+        	// ocultar el texto mientras se prueba el icono
+        	textView.setVisibility(View.GONE);
+        	
+        	// set image based on selected text
+        	ImageView imageView = (ImageView) gridView.findViewById(R.id.imageGridMainMenu);
+        	
+        	String function = values[position];
+        	if (s.equals(mContext.getString(R.string.firmar))) {
+     	        //imageView.setImageResource(R.drawable.ic_pluma);
+     	        imageView.setImageResource(R.drawable.ic_firmar_new);
+     	    } else if (s.equals(mContext.getString(R.string.verificar))) {
+     	        //imageView.setImageResource(R.drawable.ic_verify);
+     	    	imageView.setImageResource(R.drawable.ic_verificar_new);
+     	    } else if (s.equals(mContext.getString(R.string.cifrar))) {
+     	        //imageView.setImageResource(R.drawable.ic_secure);
+     	    	imageView.setImageResource(R.drawable.ic_cifrar_new);
+     	    } else if (s.equals(mContext.getString(R.string.descifrar))) {
+     	        //imageView.setImageResource(R.drawable.ic_not_secure);
+     	    	imageView.setImageResource(R.drawable.ic_descifrar_new);
+     	    } else if (s.equals(mContext.getString(R.string.compartir))) {
+     	        //imageView.setImageResource(R.drawable.ic_share);
+     	        imageView.setImageResource(R.drawable.ic_compartir_new);
+     	    } else if (s.equals(mContext.getString(R.string.certificados))) {
+     	        //imageView.setImageResource(R.drawable.ic_management);
+     	        imageView.setImageResource(R.drawable.ic_certificados_new);
+     	    } else if (s.equals(mContext.getString(R.string.preferencias))) {
+     	        //imageView.setImageResource(R.drawable.ic_preferences);
+     	    	imageView.setImageResource(R.drawable.ic_preferencias_new);
+     	    } else if (s.equals(mContext.getString(R.string.ayuda))) {
+     	        //imageView.setImageResource(R.drawable.ic_action_help);
+     	    	imageView.setImageResource(R.drawable.ic_ayuda_new);
+     	    } else if (s.equals(mContext.getString(R.string.acercade))) {
+     	        //imageView.setImageResource(R.drawable.ic_action_about);
+     	    	imageView.setImageResource(R.drawable.ic_acerca_de_new);
+     	    }
+        	
+        	
+            imageView = new ImageView(mContext);
+            imageView.setLayoutParams(new GridView.LayoutParams(85, 85));
+            imageView.setScaleType(ImageView.ScaleType.CENTER_CROP);
+            imageView.setPadding(8, 8, 8, 8);
+        } else {
+            gridView = (View) convertView;
+            Log.d("getView: ",s);
+        }
+
+        
+        return gridView;
+    }
+
+    // references to our images
+    private Integer[] mThumbIds = {
+            R.drawable.ic_pluma, R.drawable.ic_verify,
+            R.drawable.ic_secure, R.drawable.ic_not_secure,
+            R.drawable.ic_management, R.drawable.ic_share,
+            R.drawable.ic_action_help, R.drawable.ic_action_about,
+            R.drawable.ic_preferences
+    };
+
+    
+    
+}
